Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::fog_node Class Reference

Inheritance diagram for openvrml::vrml97_node::fog_node:

[legend]
List of all members.

## Detailed Description

Fog node instances.

## Public Member Functions

| fog_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~fog_node () throw ()
| Destroy.

## Private Member Functions

virtual void | do_initialize (double timestamp) throw ()
| Initialize.
virtual void | do_shutdown (double timestamp) throw ()
| Shut down.

## Private Attributes

set_bind_listener | set_bind_listener_
| set_bind eventIn handler.
exposedfield< sfcolor > | color_
| color exposedField.
exposedfield< sfstring > | fog_type_
| fogType exposedField.
exposedfield< sffloat > | visibility_range_
| visibilityRange exposedField.
sfbool | is_bound_
| isBound eventOut value.
sfbool_emitter | is_bound_emitter_
| isBound eventOut emitter.

## Friends

class | fog_class
| Class object for Fog nodes.

## Classes

class | set_bind_listener
| set_bind event handler. More...

## Constructor & Destructor Documentation

openvrml::vrml97_node::fog_node::fog_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with the node instance.
  | scope | the scope to which the node belongs.

openvrml::vrml97_node::fog_node::~fog_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

void openvrml::vrml97_node::fog_node::do_initialize | ( | double | timestamp | ) | throw ()`[private, virtual]`

Initialize.

Parameters:

  | timestamp | the current time.

Reimplemented from openvrml::node.

void openvrml::vrml97_node::fog_node::do_shutdown | ( | double | timestamp | ) | throw ()`[private, virtual]`

Shut down.

Calls fog_class::unbind to unbind the node if it is bound.

Parameters:

  | timestamp | the current time.

Reimplemented from openvrml::node.

## Friends And Related Function Documentation

class openvrml::vrml97_node::fog_node::fog_class`[friend]`

| Class object for Fog nodes.

## Member Data Documentation

fog_node::set_bind_listener openvrml::vrml97_node::fog_node::set_bind_listener_ `[private]`

| set_bind eventIn handler.

exposedfield< sfcolor > openvrml::vrml97_node::fog_node::color_ `[private]`

| color exposedField.

exposedfield< sfstring > openvrml::vrml97_node::fog_node::fog_type_ `[private]`

| fogType exposedField.

exposedfield< sffloat > openvrml::vrml97_node::fog_node::visibility_range_ `[private]`

| visibilityRange exposedField.

sfbool openvrml::vrml97_node::fog_node::is_bound_ `[private]`

| isBound eventOut value.

sfbool openvrml::vrml97_node::fog_node::is_bound_emitter_ `[private]`

| isBound eventOut emitter.